public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Lars Wendler" <polynomial-c@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: media-libs/giflib/
Date: Mon, 24 Jun 2019 16:35:43 +0000 (UTC)	[thread overview]
Message-ID: <1561394138.279241254c093e221a1441278fd1b959c2e8dc07.polynomial-c@gentoo> (raw)

commit:     279241254c093e221a1441278fd1b959c2e8dc07
Author:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
AuthorDate: Mon Jun 24 16:34:00 2019 +0000
Commit:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Mon Jun 24 16:35:38 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=27924125

media-libs/giflib: Bump to version 5.2.1

Package-Manager: Portage-2.3.67, Repoman-2.3.16
Signed-off-by: Lars Wendler <polynomial-c <AT> gentoo.org>

 media-libs/giflib/Manifest            |  1 +
 media-libs/giflib/giflib-5.2.1.ebuild | 77 +++++++++++++++++++++++++++++++++++
 2 files changed, 78 insertions(+)

diff --git a/media-libs/giflib/Manifest b/media-libs/giflib/Manifest
index 35697dc45ac..d53ffb9540f 100644
--- a/media-libs/giflib/Manifest
+++ b/media-libs/giflib/Manifest
@@ -3,3 +3,4 @@ DIST giflib-5.0.6.tar.bz2 621073 BLAKE2B ae162c281755cae4d00bcbd07273f7c7488ae67
 DIST giflib-5.1.4.tar.bz2 639703 BLAKE2B 5176fbd94c37a86a7f7a3964b6b5f2637d76ba5d40e594a0db52a3a09e22b915a0388fc9bd2f1446dcf66b3b9c0d76741583e4d5d3f7362fa3997e8b26503fc4 SHA512 32b5e342056c210e6478e9cb3b6ceec9594dcfaf34feea1eb4dad633a081ed4465bceee578c19165907cb47cb83912ac359ceea666a8e07dbbb5420f9928f96d
 DIST giflib-5.1.8.tar.gz 419065 BLAKE2B 4a42120758be15e765dae249d98d25164b40e64f933415412420163c0ed7fd6967d3958fff70478d5635a5bb9a6ed397f06ad6de510f2e97de5574b7c68d84d2 SHA512 d390917837a64de1912720ab8968e6b077c6be9f9a2f835faced44420f54d6d55d4e3543b9779ec65d399858856188fea93c170b253d0b83928f15548a14aba3
 DIST giflib-5.1.9.tar.gz 385068 BLAKE2B 0c6765eb9a017fee8de28c9440434f3054f87ae65139a3f9f4a41145d4d86dfbd88ece54ea6f40c58054e0ab728a1d346c2f725843bcc34bfd75825e58b8f650 SHA512 b6350b39755e3eeba58b5fccf319bbaeee2db6564e13c8ce44d3652cc32d243c391def74b6b1529bc5e0d4573eff94b2ffa5faa90fc564a049122d3e23f1d184
+DIST giflib-5.2.1.tar.gz 444187 BLAKE2B 8c1e105bbb65dc7ab103976caed70834356440f381ec5118311882fb1c558bb65f6c1081e5767f9835087860de44df5dfcd2826f89744dded548d535736f27f0 SHA512 4550e53c21cb1191a4581e363fc9d0610da53f7898ca8320f0d3ef6711e76bdda2609c2df15dc94c45e28bff8de441f1227ec2da7ea827cb3c0405af4faa4736

diff --git a/media-libs/giflib/giflib-5.2.1.ebuild b/media-libs/giflib/giflib-5.2.1.ebuild
new file mode 100644
index 00000000000..87eaf2bc700
--- /dev/null
+++ b/media-libs/giflib/giflib-5.2.1.ebuild
@@ -0,0 +1,77 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit multilib-minimal toolchain-funcs
+
+DESCRIPTION="Library to handle, display and manipulate GIF images"
+HOMEPAGE="https://sourceforge.net/projects/giflib/"
+SRC_URI="mirror://sourceforge/giflib/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0/7"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE="doc static-libs"
+
+DEPEND="doc? ( app-text/xmlto )"
+
+PATCHES=(
+	"${FILESDIR}"/${PN}-5.1.9-gentoo.patch
+)
+
+src_prepare() {
+	default
+	multilib_copy_sources
+}
+
+multilib_src_compile() {
+	# Use reallocarray() from libc if available.
+	if $(tc-getCC) ${CPPFLAGS} ${CFLAGS} ${LDFLAGS} -D_GNU_SOURCE -o "${T}/reallocarray_test" -x c - <<< $'#include <stdlib.h>\nint main() {void *p = reallocarray(NULL, 0, 0);}' 2> /dev/null; then
+		local -x CPPFLAGS="${CPPFLAGS} -D_GNU_SOURCE -DHAVE_REALLOCARRAY"
+		sed -e "s/ openbsd-reallocarray\.c//" -i Makefile || die
+		rm openbsd-reallocarray.c || die
+	fi
+
+	emake \
+		CC="$(tc-getCC)" \
+		CFLAGS="${CFLAGS} -std=gnu99 -fPIC -Wno-format-truncation" \
+		LDFLAGS="${LDFLAGS}" \
+		OFLAGS="" \
+		all
+
+	if use doc && multilib_is_native_abi; then
+		emake -C doc
+	fi
+}
+
+multilib_src_install() {
+	emake \
+		DESTDIR="${D}" \
+		PREFIX="${EPREFIX}/usr" \
+		LIBDIR="${EPREFIX}/usr/$(get_libdir)" \
+		install
+
+	if ! use static-libs ; then
+		find "${ED}" -name "*.a" -delete || die
+	fi
+
+	if use doc && multilib_is_native_abi; then
+		docinto html
+		dodoc doc/*.html
+	fi
+}
+
+multilib_src_install_all() {
+	docinto
+	dodoc ChangeLog NEWS README TODO
+	if use doc ; then
+		dodoc doc/*.txt
+		docinto html
+		dodoc -r doc/whatsinagif
+	fi
+}
+
+multilib_src_test() {
+	emake -j1 check
+}


             reply	other threads:[~2019-06-24 16:35 UTC|newest]

Thread overview: 53+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2019-06-24 16:35 Lars Wendler [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-10-13 13:51 [gentoo-commits] repo/gentoo:master commit in: media-libs/giflib/ Andreas Sturmlechner
2024-10-12 23:53 Sam James
2024-09-24 15:22 Sam James
2024-09-23  7:34 Arthur Zamarin
2024-09-23  7:34 Arthur Zamarin
2024-09-23  7:13 Arthur Zamarin
2024-09-23  7:13 Arthur Zamarin
2024-09-23  6:02 Arthur Zamarin
2024-09-23  6:02 Arthur Zamarin
2024-09-23  5:46 Sam James
2023-10-07  3:47 Matt Turner
2022-05-14  3:42 WANG Xuerui
2021-01-25 22:05 Sam James
2021-01-14 12:29 Fabian Groffen
2020-10-19 19:15 Mike Gilbert
2020-06-12  7:33 Sergei Trofimovich
2020-05-16 21:28 David Seifert
2020-03-25 21:30 Thomas Deutschmann
2020-03-25 20:55 Thomas Deutschmann
2020-03-25 20:55 Thomas Deutschmann
2020-03-16 18:25 Sergei Trofimovich
2020-03-12 23:05 Mart Raudsepp
2020-03-10  8:35 Agostino Sarubbo
2020-03-09 12:42 Agostino Sarubbo
2020-03-09 12:41 Agostino Sarubbo
2020-03-09 12:39 Agostino Sarubbo
2020-03-09 11:17 Agostino Sarubbo
2020-03-09 10:49 Agostino Sarubbo
2020-03-09 10:23 Agostino Sarubbo
2020-03-08 23:22 Thomas Deutschmann
2020-03-08 21:22 Andreas Sturmlechner
2019-11-13  1:03 Aaron Bauman
2019-11-13  1:03 Aaron Bauman
2019-03-11 10:28 Lars Wendler
2019-02-15  7:49 Guilherme Amadio
2019-02-14 12:26 Lars Wendler
2018-03-29 22:32 Mart Raudsepp
2018-01-21  1:49 Aaron Bauman
2018-01-21  1:03 Aaron Bauman
2017-04-14 18:49 Michał Górny
2017-04-14 16:28 Michał Górny
2017-01-09 14:19 Jeroen Roovers
2016-11-29 17:35 Markus Meier
2016-11-19 13:55 Agostino Sarubbo
2016-11-19 13:53 Agostino Sarubbo
2016-11-15 14:53 Tobias Klausmann
2016-06-19 10:16 Andrew Savchenko
2016-04-03 15:51 Lars Wendler
2016-04-03 15:51 Lars Wendler
2016-03-17 19:58 Lars Wendler
2016-03-17 19:58 Lars Wendler
2016-01-11 13:25 Lars Wendler

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1561394138.279241254c093e221a1441278fd1b959c2e8dc07.polynomial-c@gentoo \
    --to=polynomial-c@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox